{-# LANGUAGE TypeSynonymInstances, MultiParamTypeClasses #-}
{-# OPTIONS_GHC -Wall -fno-warn-orphans #-}
----------------------------------------------------------------------
-- |
-- Module      :  FRP.Reactive.FieldTrip
-- Copyright   :  (c) Conal Elliott 2008
-- License     :  BSD3
-- 
-- Maintainer  :  conal@conal.net
-- Stability   :  experimental
-- 
-- Connect the ''reactive'' and ''FieldTrip'' libraries
----------------------------------------------------------------------

module FRP.Reactive.FieldTrip
  ( module FRP.Reactive.FieldTrip.Adapter
  ) where


import Control.Applicative (liftA2)

import FRP.Reactive (BehaviorG)
import Graphics.FieldTrip (Transform(..))

import FRP.Reactive.FieldTrip.Adapter


instance (Ord tr, Bounded tr, Transform xf a) =>
     Transform (BehaviorG tr tf xf) (BehaviorG tr tf a) where
  (*%) = liftA2 (*%)

-- TODO: add dynamic versions of lots of FieldTrip vocabulary, in a
-- collection of modules paralleling FieldTrip's.
